.search-mobile {
	top: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	z-index: 1600;
	position: fixed;
	background: #fff;
	opacity: 0;
	visibility: hidden;

	&.open {
		opacity: 1;
		visibility: visible;
	}

	@media (min-width: $screen-md-min) {
		width: 480px;
		border-left: 1px solid #e8ebf0;
	}

	@media (min-width: $screen-lg-min) {
		display: none !important;
	}
}


.pretty-search {
	width: 100%;
	height: 100%;
	max-height: 100%;
	position: relative;
	background: transparent;
	font-family: $font-family-head;

	&__header {
		top: 0;
		left: 0;
		right: 0;
		z-index: 100;
		height: 58px;
		padding: 20px;
		display: flex;
		position: absolute;
		align-items: center;
		justify-content: space-between;
		background: #fff;
	}

	&__button {
		margin: 0;
		padding: 0;
		font-size: 0;
		line-height: 0;
		border: none;
		outline: none;
		width: 18px;
		height: 18px;
		display: inline-block;
		background: transparent;

		svg {
			fill: $black-100;
		}
	}

	&__field {
		top: 58px;
		left: 0;
		right: 0;
		z-index: 100;
		background: transparent;
		position: absolute;
		padding: 8px 20px;

		&--light {

			.pretty-search__field--input {
				color: $white;

			}

			.pretty-search__field--loop {

				svg {
					fill: $white;
				}
			}
		}

		&--wrap {
			position: relative;
		}


		&--input {
			margin: 0;
			width: 100%;
			height: 36px;
			outline: 0;
			z-index: 10;
			color: #1d1d1b;
			-webkit-box-shadow: none;
			box-shadow: none;
			font-weight: 700;
			font-size: 1.2rem;
			line-height: 2rem;
			border-radius: 22px;
			position: relative;
			display: inline-block;
			vertical-align: middle;
			background: 0 0;
			background: transparent;
			padding: 7px 44px 7px 19px;
			border: 1px solid #e8ebf0;
		}

		&--loop {
			right: 9px;
			top: calc(50% - 9px);
			z-index: 5;
			opacity: 0.85;
			width: 18px;
			height: 18px;
			font-size: 0;
			line-height: 0;
			margin: 0;
			padding: 0;
			border: none;
			outline: none;
			position: absolute;
			background: transparent;

			svg {
				fill: $black-100;
			}
		}
	}

	&__result {
		top: 110px;
		left: 0;
		right: 0;
		bottom: 0;
		overflow-y: auto;
		position: absolute;

		&--wrap {
			padding: 20px;
		}
	}

	&__news {

	}

	&__sections {

		&--item {
			padding-top: 29px;
			padding-bottom: 11px;
			border-bottom: 1px solid #E8EBF0;

			&:last-child {
				border-bottom: none;
				padding-bottom: 0;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {
			display: none;
		}

		&__field {
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			padding: 0;
			position: relative;
		}

		&__result {
			right: auto;
			width: 704px;
			height: auto;
			bottom: auto;
			padding-top: 0;
			overflow: visible;
			background: #fff;
			top: calc(100% + 10px);
			box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
			border-radius: 16px;

			&--wrap {
				padding: 24px 0;
				display: flex;
			}
		}

		&__news {
			width: 50%;
			padding: 0 24px;
			flex-shrink: 0;
		}

		&__sections {
			width: 50%;
			padding: 0 24px;
			flex-shrink: 0;
			border-left: 1px solid #E8EBF0;

			&--item {
				padding-bottom: 6px;
				padding-top: 16px;

				&:first-child {
					padding-top: 0;
				}

				&:last-child {
					padding-bottom: 0;
				}
			}
		}
	}
}

.pretty-search-news {
	font-family: $font-family-head;

	&__header {
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--title {
			font-weight: 700;
			font-size: 1.8rem;
			line-height: 2.2rem;
		}

		&--button {
			margin: 0;
			padding: 0;
			height: 18px;
			font-size: 0;
			line-height: 0;
			display: inline-block;

			svg {
				fill: $blue-500;
			}

			&:hover {

				svg {
					fill: $black-100;
				}
			}
		}
	}

	&__list {
		margin: 0;
		padding: 0;
		list-style: none;
	}

	&__item {
		padding-top: 16px;
		padding-bottom: 11px;
		border-bottom: 1px solid #E8EBF0;
	}

	&__title {
		color: $black-100;
		text-decoration: none;

		&:hover {
			color: $blue;
			text-decoration: none;
		}
	}
}

.pretty-search-section {
	font-family: $font-family-head;

	&__header {
		color: $black-100;
		text-decoration: none;
		margin-bottom: 12px;
		display: flex;
		align-items: center;
		justify-content: space-between;

		&:hover {
			color: $black-100;
			text-decoration: none;
		}
	}

	&__title {
		font-weight: 700;
		font-size: 1.8rem;
		line-height: 2.2rem;
	}

	&__button {
		margin: 0;
		padding: 0;
		font-size: 0;
		line-height: 0;
		border: none;
		outline: none;
		width: 18px;
		height: 18px;
		display: inline-block;
		background: transparent;

		svg {
			fill: $black-100;
		}
	}

	&__content {
		display: flex;
		align-items: center;
		color: $black-100;
		text-decoration: none;
		font-weight: 500;
		font-size: 1.4rem;
		line-height: 150%;

		&:hover {
			color: $blue;
			text-decoration: none;
		}
	}

	&__image {
		width: 49px;
		height: 49px;
		overflow: hidden;
		font-size: 0;
		line-height: 0;
		border-radius: 8px;
		flex-shrink: 0;

		&--circle {
			border-radius: 50%;
		}
	}

	&__text {
		padding-left: 13px;
	}
}